v0.10.15.x Testing

Status
Not open for further replies.

flare

Administrator
Dash Core Team
Moderator
May 18, 2014
2,286
2,404
1,183
Germany
flare said:
Evan is very confident that the new distribution scheme is absolutely even. So if there are 900 masternodes one masternode will get every 900th block.



I did a quick checking on payments to MN on testnet after the 10.15.5 blockchain had moved along and payments are not equal. There were 22 MN for a solid few hours and during a span of 60 blocks one of my two MN's never received payment. Maybe we have to wait until 10.5.5 with enforcement?
Yeah, enforcement is not active yet, so there is no even distribution.
 

stonehedge

Well-known Member
Foundation Member
Jul 31, 2014
696
333
233
Maybe give it a few hours to gather data before enforcement for comparison...
 
  • Like
Reactions: flare

stonehedge

Well-known Member
Foundation Member
Jul 31, 2014
696
333
233
Its 1407 in the UK. I'll point that rig elsewhere in 12 hours. Do with it as you will in the meantime :D
 

UdjinM6

Official Dash Dev
Core Developer
Dash Core Team
May 20, 2014
3,639
3,537
1,183
hmmmm..
I'm on ""version" : 101505,"and "masternode list" gives me "error: {"code":-2,"message":"Safe mode: Warning: Displayed transactions may not be correct! You may need to upgrade, or other nodes may need to upgrade."}"
:confused:

EDIT: actually getinfo also gives me this error
Code:
{
    "version" : 101505,
    "protocolversion" : 70041,
    "walletversion" : 60001,
    "balance" : 1180.01500000,
    "darksend_balance" : 0.00000000,
    "blocks" : 46208,
    "timeoffset" : 0,
    "connections" : 3,
    "proxy" : "",
    "difficulty" : 0.32667537,
    "testnet" : true,
    "keypoololdest" : 1412810191,
    "keypoolsize" : 1001,
    "paytxfee" : 0.00000000,
    "mininput" : 0.00001000,
    "errors" : "Warning: Displayed transactions may not be correct! You may need to upgrade, or other nodes may need to upgrade."
}
 

thelonecrouton

Well-known Member
Foundation Member
Apr 15, 2014
1,135
813
283
hmmmm..
I'm on ""version" : 101505,"and "masternode list" gives me "error: {"code":-2,"message":"Safe mode: Warning: Displayed transactions may not be correct! You may need to upgrade, or other nodes may need to upgrade."}"
:confused:

EDIT: actually getinfo also gives me this error
Code:
{
    "version" : 101505,
    "protocolversion" : 70041,
    "walletversion" : 60001,
    "balance" : 1180.01500000,
    "darksend_balance" : 0.00000000,
    "blocks" : 46208,
    "timeoffset" : 0,
    "connections" : 3,
    "proxy" : "",
    "difficulty" : 0.32667537,
    "testnet" : true,
    "keypoololdest" : 1412810191,
    "keypoolsize" : 1001,
    "paytxfee" : 0.00000000,
    "mininput" : 0.00001000,
    "errors" : "Warning: Displayed transactions may not be correct! You may need to upgrade, or other nodes may need to upgrade."
}
I had that happen once earlier today, ran it again a minute later and all was well again.
 

UdjinM6

Official Dash Dev
Core Developer
Dash Core Team
May 20, 2014
3,639
3,537
1,183
I had that happen once earlier today, ran it again a minute later and all was well again.
hmmm... I didn't touch anything and it's fixed by itself... that's strange... any explanation to this behavior?
btw, that error was on all 4 tMNs I run and they all seems to be good now...
 

stonehedge

Well-known Member
Foundation Member
Jul 31, 2014
696
333
233
To quote a person far wiser than myself "Have you tried turning it off and on again?"
 

stonehedge

Well-known Member
Foundation Member
Jul 31, 2014
696
333
233
It has just dawned on me...is elbereth pool up to date?

EDIT: I think Elbereth's pool is on version 0.10.15.0

Does anybody else know of a stratum pool that I can use for testnet that is up to date?

flare ? :D
 

Miner237

Well-known Member
Foundation Member
May 28, 2014
516
226
213
hmmm... I didn't touch anything and it's fixed by itself... that's strange... any explanation to this behavior?
btw, that error was on all 4 tMNs I run and they all seems to be good now...
Just saw that also but closed wallet restart, it went away
 

thelonecrouton

Well-known Member
Foundation Member
Apr 15, 2014
1,135
813
283
Hmm, getting it again now:
Code:
[email protected]:~/.darkcoin# ./darkcoind getinfo
{
  "version" : 101505,
  "protocolversion" : 70041,
  "walletversion" : 60001,
  "balance" : 2405.04560000,
  "darksend_balance" : 0.00000000,
  "blocks" : 46228,
  "timeoffset" : 0,
  "connections" : 21,
  "proxy" : "",
  "difficulty" : 0.26345411,
  "testnet" : true,
  "keypoololdest" : 1412810046,
  "keypoolsize" : 1001,
  "paytxfee" : 0.00000000,
  "mininput" : 0.00001000,
  "errors" : "Warning: Displayed transactions may not be correct! You may need to upgrade, or other nodes may need to upgrade."
}
[email protected]:~/.darkcoin# ./darkcoind masternode list
error: {"code":-2,"message":"Safe mode: Warning: Displayed transactions may not be correct! You may need to upgrade, or other nodes may need to upgrade."}
 

stonehedge

Well-known Member
Foundation Member
Jul 31, 2014
696
333
233
Something weird is afoot. I'm going to point my rig back to a main net pool until I can confirm details of a correct version testnet pool or get a stratum proxy installed locally to solo mine.
 

Miner237

Well-known Member
Foundation Member
May 28, 2014
516
226
213
Something weird is afoot. I'm going to point my rig back to a main net pool until I can confirm details of a correct version testnet pool or get a stratum proxy installed locally to solo mine.
yeah i think it's mining on a 10.15.0 fork
 

stonehedge

Well-known Member
Foundation Member
Jul 31, 2014
696
333
233
I'm not getting paid for blocks on the current client version so that is confirmed.

I'll get 2Mhs going again for now but could really do with a current version testnet pool to help test masternode payments.
 

eduffield

Core Developer
Mar 9, 2014
1,084
5,322
183
****** PLEASE UPDATE TO v10.15.6 *******

A few versions ago, I added a testnet fork to test block reward reduction. The problem is that we've got miners on the old and new chain.

- This updates the min protocol version to kick off older clients
- Improves collateral charging
- Changes the masternode payments keys, you'll only recieve masternode payments and be able to mine on 15.6
- If anyone has that warning message, start the client with --disablesafemode --reindex

Enforcement is still off. I'll turn it on to test when everyone updates

*waiting for flare to compile :)
 

stonehedge

Well-known Member
Foundation Member
Jul 31, 2014
696
333
233
Thanks Ed.

Do you have an up to date pool with stratum on testnet by any chance? I can't find one that is up to date!

EDIT: I want to point a mining rig at testnet to give some nice data for before and after enforcement.
 

flare

Administrator
Dash Core Team
Moderator
May 18, 2014
2,286
2,404
1,183
Germany
****** PLEASE UPDATE TO v10.15.6 *******

A few versions ago, I added a testnet fork to test block reward reduction. The problem is that we've got miners on the old and new chain.

- This updates the min protocol version to kick off older clients
- Improves collateral charging
- Changes the masternode payments keys, you'll only recieve masternode payments and be able to mine on 15.6
- If anyone has that warning message, start the client with --disablesafemode --reindex

Enforcement is still off. I'll turn it on to test when everyone updates

*waiting for flare to compile :)
CI-builds for v0.10.15.6

Windows 32bit:
http://bamboo.darkcoin.qa/artifact/DRKW-DEV/JOB1/build-9/gitian-win-darkcoin-bin/32/darkcoin-qt.exe
http://bamboo.darkcoin.qa/artifact/...tian-win-darkcoin-bin/32/daemon/darkcoind.exe
http://bamboo.darkcoin.qa/artifact/...oin-bin/32/darkcoin-0.10.15.6-win32-setup.exe

Mac OS X:
http://bamboo.darkcoin.qa/browse/DR...-osx-darkcoin-dist/darkcoin-0.10.15.6-osx.dmg

Linux 32bit:
http://bamboo.darkcoin.qa/artifact/.../gitian-linux-darkcoin-bin/bin/32/darkcoin-qt
http://bamboo.darkcoin.qa/artifact/DRKL-DEV/JOB1/build-6/gitian-linux-darkcoin-bin/bin/32/darkcoind

Linux 64bit:
http://bamboo.darkcoin.qa/artifact/.../gitian-linux-darkcoin-bin/bin/64/darkcoin-qt
http://bamboo.darkcoin.qa/artifact/DRKL-DEV/JOB1/build-6/gitian-linux-darkcoin-bin/bin/64/darkcoind
 
Last edited by a moderator:

stonehedge

Well-known Member
Foundation Member
Jul 31, 2014
696
333
233
flare, what have I said about having a life away from your computer? It'll only lead to bad things.
 
  • Like
Reactions: flare

thelonecrouton

Well-known Member
Foundation Member
Apr 15, 2014
1,135
813
283
I updated my MN within 20 mins of the update being posted, but masternode list instantly gave me a full 30+ list. Thought older versions were getting bumped off? Or did everyone else really update that quickly?
 

eduffield

Core Developer
Mar 9, 2014
1,084
5,322
183
I updated my MN within 20 mins of the update being posted, but masternode list instantly gave me a full 30+ list. Thought older versions were getting bumped off? Or did everyone else really update that quickly?
Do a getinfo and make sure you're running v6
 

stonehedge

Well-known Member
Foundation Member
Jul 31, 2014
696
333
233
I am definitely running v6 and saw 33 masternodes immediately too.
 
Status
Not open for further replies.